## tpsession 0.1-1

=== Makefile ===
#############################################################################
# Makefile for building: telepathy3
# Generated by qmake (2.01a) (Qt 4.5.3) on: Fri Jan 22 12:47:46 2010
# Project:  telepathy3.pro
# Template: app
# Command: /usr/bin/qmake -unix -o Makefile telepathy3.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
CXXFLAGS      = -pipe -O3 -g -Wall -W -D_REENTRANT $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2 -I. -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtNetwork -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/qt4/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include/qt4 -I. -I/usr/include/telepathy-1.0 -I/targets/FREMANTLE_ARMEL/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I.
LINK          = g++
LFLAGS        = -Wl,-O1
LIBS          = $(SUBLIBS)  -L/usr/lib -Wl,-rpath-link=/usr/lib -ltelepathy-qt4 -lQtDBus -lQtGui -lQtNetwork -lQtCore -lpthread
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = main.cpp \
		tpsession.cpp \
		tpsessionaccount.cpp \
		testprog.cpp \
		tpsessionobserver.cpp \
		tpsessionchannel.cpp moc_tpsession.cpp \
		moc_tpsessionaccount.cpp \
		moc_testprog.cpp \
		moc_tpsessionobserver.cpp \
		moc_tpsessionchannel.cpp
OBJECTS       = main.o \
		tpsession.o \
		tpsessionaccount.o \
		testprog.o \
		tpsessionobserver.o \
		tpsessionchannel.o \
		moc_tpsession.o \
		moc_tpsessionaccount.o \
		moc_testprog.o \
		moc_tpsessionobserver.o \
		moc_tpsessionchannel.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		telepathy3.pro
QMAKE_TARGET  = telepathy3
DESTDIR       = 
TARGET        = telepathy3

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(OBJECTS)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJCOMP) $(LIBS)

Makefile: telepathy3.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-gles2/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtNetwork.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile telepathy3.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/g++.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtNetwork.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile telepathy3.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/telepathy31.0.0 || $(MKDIR) .tmp/telepathy31.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/telepathy31.0.0/ && $(COPY_FILE) --parents tpsession.h tpsessionaccount.h testprog.h tpsessionobserver.h tpsessionchannel.h .tmp/telepathy31.0.0/ && $(COPY_FILE) --parents main.cpp tpsession.cpp tpsessionaccount.cpp testprog.cpp tpsessionobserver.cpp tpsessionchannel.cpp .tmp/telepathy31.0.0/ && (cd `dirname .tmp/telepathy31.0.0` && $(TAR) telepathy31.0.0.tar telepathy31.0.0 && $(COMPRESS) telepathy31.0.0.tar) && $(MOVE) `dirname .tmp/telepathy31.0.0`/telepathy31.0.0.tar.gz . && $(DEL_FILE) -r .tmp/telepathy31.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_tpsession.cpp moc_tpsessionaccount.cpp moc_testprog.cpp moc_tpsessionobserver.cpp moc_tpsessionchannel.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_tpsession.cpp moc_tpsessionaccount.cpp moc_testprog.cpp moc_tpsessionobserver.cpp moc_tpsessionchannel.cpp
moc_tpsession.cpp: tpsessionaccount.h \
		tpsessionchannel.h \
		tpsessionobserver.h \
		tpsession.h
	/usr/bin/moc $(DEFINES) $(INCPATH) tpsession.h -o moc_tpsession.cpp

moc_tpsessionaccount.cpp: tpsessionchannel.h \
		tpsessionaccount.h
	/usr/bin/moc $(DEFINES) $(INCPATH) tpsessionaccount.h -o moc_tpsessionaccount.cpp

moc_testprog.cpp: tpsession.h \
		tpsessionaccount.h \
		tpsessionchannel.h \
		tpsessionobserver.h \
		testprog.h
	/usr/bin/moc $(DEFINES) $(INCPATH) testprog.h -o moc_testprog.cpp

moc_tpsessionobserver.cpp: tpsessionobserver.h
	/usr/bin/moc $(DEFINES) $(INCPATH) tpsessionobserver.h -o moc_tpsessionobserver.cpp

moc_tpsessionchannel.cpp: tpsessionchannel.h
	/usr/bin/moc $(DEFINES) $(INCPATH) tpsessionchannel.h -o moc_tpsessionchannel.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

main.o: main.cpp tpsession.h \
		tpsessionaccount.h \
		tpsessionchannel.h \
		tpsessionobserver.h \
		testprog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o main.o main.cpp

tpsession.o: tpsession.cpp tpsession.h \
		tpsessionaccount.h \
		tpsessionchannel.h \
		tpsessionobserver.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tpsession.o tpsession.cpp

tpsessionaccount.o: tpsessionaccount.cpp tpsessionaccount.h \
		tpsessionchannel.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tpsessionaccount.o tpsessionaccount.cpp

testprog.o: testprog.cpp testprog.h \
		tpsession.h \
		tpsessionaccount.h \
		tpsessionchannel.h \
		tpsessionobserver.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o testprog.o testprog.cpp

tpsessionobserver.o: tpsessionobserver.cpp tpsessionobserver.h \
		tpsession.h \
		tpsessionaccount.h \
		tpsessionchannel.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tpsessionobserver.o tpsessionobserver.cpp

tpsessionchannel.o: tpsessionchannel.cpp tpsessionchannel.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o tpsessionchannel.o tpsessionchannel.cpp

moc_tpsession.o: moc_tpsession.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_tpsession.o moc_tpsession.cpp

moc_tpsessionaccount.o: moc_tpsessionaccount.cpp

=== debian/changelog ===
tpsession (0.1-1) unstable; urgency=low

  * Initial release 

 -- Kate Alhola <kate.alhola@nokia.com>  Mon,  8 Feb 2010 14:20:48 +0200

=== debian/control ===
Source: tpsession
Section: libs
Priority: extra
Maintainer: Kate Alhola <kate.alhola@nokia.com>
Build-Depends: cdbs, cdbs, debhelper (>= 5)
Build-Depends: cdbs,
               libqt4-maemo5-dev (>= 4.5.0),
               pkg-config (>= 0.21),
	       libgconf2-dev ,
	       libtelepathy-qt4-dev (>=0.2.0)
Standards-Version: 3.7.2

Package: libtpsession
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Easy to use API to Telepathy-Qt4
 Easy to use API to Telepathy-Qt4

Package: libtpsession-dev
Architecture: any
Section: libdevel
Depends: libtpsession (=0.1-1)
Description: Easy to use API to Telepathy-Qt4 dev files
 Easy to use API to Telepathy-Qt4 dev files

Package: libtpsession-dbg
Architecture: any
Section: libdevel
Depends: tpsession (=0.1)
Description: Easy to use API to Telepathy-Qt4 debug symbols
 Easy to use API to Telepathy-Qt4 debug symbols

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

# Add here any variable or target overrides you need.
QMAKE=/opt/qt4-maemo5/bin/qmake
PKG_CONFIG_PATH=/opt/qt4-maemo5/lib/pkgconfig/

## tpsession 0.1-2

=== tests/smstest/qtc-gdbmacros/Makefile ===
#############################################################################
# Makefile for building: libgdbmacros.1.0.0.dylib
# Generated by qmake (2.01a) (Qt 4.5.0) on: Mon Jan 25 15:05:35 2010
# Project:  gdbmacros.pro
# Template: lib
# Command: /usr/bin/qmake -spec /usr/local/Qt4.5/mkspecs/macx-g++ -macx CONFIG+=debug_and_release -o Makefile gdbmacros.pro
#############################################################################

first: debug
install: debug-install
uninstall: debug-uninstall
MAKEFILE      = Makefile
QMAKE         = /usr/bin/qmake
DEL_FILE      = rm -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
COPY          = cp -f
COPY_FILE     = cp -f
COPY_DIR      = cp -f -R
INSTALL_FILE  = $(COPY_FILE)
INSTALL_PROGRAM = $(COPY_FILE)
INSTALL_DIR   = $(COPY_DIR)
DEL_FILE      = rm -f
SYMLINK       = ln -sf
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p
SUBTARGETS    =  \
		debug \
		release

debug: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug
debug-make_default: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug 
debug-make_first: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug first
debug-all: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug all
debug-clean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug clean
debug-distclean: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug distclean
debug-install: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug install
debug-uninstall: $(MAKEFILE).Debug FORCE
	$(MAKE) -f $(MAKEFILE).Debug uninstall
release: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release
release-make_default: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release 
release-make_first: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release first
release-all: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release all
release-clean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release clean
release-distclean: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release distclean
release-install: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release install
release-uninstall: $(MAKEFILE).Release FORCE
	$(MAKE) -f $(MAKEFILE).Release uninstall

Makefile: gdbmacros.pro  /usr/local/Qt4.5/mkspecs/macx-g++/qmake.conf /usr/local/Qt4.5/mkspecs/common/unix.conf \
		/usr/local/Qt4.5/mkspecs/common/mac.conf \
		/usr/local/Qt4.5/mkspecs/common/mac-g++.conf \
		/usr/local/Qt4.5/mkspecs/qconfig.pri \
		/usr/local/Qt4.5/mkspecs/features/qt_functions.prf \
		/usr/local/Qt4.5/mkspecs/features/qt_config.prf \
		/usr/local/Qt4.5/mkspecs/features/exclusive_builds.prf \
		/usr/local/Qt4.5/mkspecs/features/default_pre.prf \
		/usr/local/Qt4.5/mkspecs/features/mac/default_pre.prf \
		/usr/local/Qt4.5/mkspecs/features/mac/dwarf2.prf \
		/usr/local/Qt4.5/mkspecs/features/debug.prf \
		/usr/local/Qt4.5/mkspecs/features/debug_and_release.prf \
		/usr/local/Qt4.5/mkspecs/features/default_post.prf \
		/usr/local/Qt4.5/mkspecs/features/mac/default_post.prf \
		/usr/local/Qt4.5/mkspecs/features/mac/objective_c.prf \
		/usr/local/Qt4.5/mkspecs/features/shared.prf \
		/usr/local/Qt4.5/mkspecs/features/dll.prf \
		/usr/local/Qt4.5/mkspecs/features/warn_on.prf \
		/usr/local/Qt4.5/mkspecs/features/qt.prf \
		/usr/local/Qt4.5/mkspecs/features/unix/thread.prf \
		/usr/local/Qt4.5/mkspecs/features/moc.prf \
		/usr/local/Qt4.5/mkspecs/features/mac/rez.prf \
		/usr/local/Qt4.5/mkspecs/features/mac/sdk.prf \
		/usr/local/Qt4.5/mkspecs/features/resources.prf \
		/usr/local/Qt4.5/mkspecs/features/uic.prf \
		/usr/local/Qt4.5/mkspecs/features/yacc.prf \
		/usr/local/Qt4.5/mkspecs/features/lex.prf \
		/Library/Frameworks/QtGui.framework/QtGui.prl \
		/Library/Frameworks/QtCore.framework/QtCore.prl
	$(QMAKE) -spec /usr/local/Qt4.5/mkspecs/macx-g++ -macx CONFIG+=debug_and_release -o Makefile gdbmacros.pro
/usr/local/Qt4.5/mkspecs/common/unix.conf:
/usr/local/Qt4.5/mkspecs/common/mac.conf:
/usr/local/Qt4.5/mkspecs/common/mac-g++.conf:
/usr/local/Qt4.5/mkspecs/qconfig.pri:
/usr/local/Qt4.5/mkspecs/features/qt_functions.prf:
/usr/local/Qt4.5/mkspecs/features/qt_config.prf:
/usr/local/Qt4.5/mkspecs/features/exclusive_builds.prf:
/usr/local/Qt4.5/mkspecs/features/default_pre.prf:
/usr/local/Qt4.5/mkspecs/features/mac/default_pre.prf:
/usr/local/Qt4.5/mkspecs/features/mac/dwarf2.prf:
/usr/local/Qt4.5/mkspecs/features/debug.prf:
/usr/local/Qt4.5/mkspecs/features/debug_and_release.prf:
/usr/local/Qt4.5/mkspecs/features/default_post.prf:
/usr/local/Qt4.5/mkspecs/features/mac/default_post.prf:
/usr/local/Qt4.5/mkspecs/features/mac/objective_c.prf:
/usr/local/Qt4.5/mkspecs/features/shared.prf:
/usr/local/Qt4.5/mkspecs/features/dll.prf:
/usr/local/Qt4.5/mkspecs/features/warn_on.prf:
/usr/local/Qt4.5/mkspecs/features/qt.prf:
/usr/local/Qt4.5/mkspecs/features/unix/thread.prf:
/usr/local/Qt4.5/mkspecs/features/moc.prf:
/usr/local/Qt4.5/mkspecs/features/mac/rez.prf:
/usr/local/Qt4.5/mkspecs/features/mac/sdk.prf:
/usr/local/Qt4.5/mkspecs/features/resources.prf:
/usr/local/Qt4.5/mkspecs/features/uic.prf:
/usr/local/Qt4.5/mkspecs/features/yacc.prf:
/usr/local/Qt4.5/mkspecs/features/lex.prf:
/Library/Frameworks/QtGui.framework/QtGui.prl:
/Library/Frameworks/QtCore.framework/QtCore.prl:
qmake: qmake_all FORCE
	@$(QMAKE) -spec /usr/local/Qt4.5/mkspecs/macx-g++ -macx CONFIG+=debug_and_release -o Makefile gdbmacros.pro

qmake_all: FORCE

make_default: debug-make_default release-make_default FORCE
make_first: debug-make_first release-make_first FORCE
all: debug-all release-all FORCE
clean: debug-clean release-clean FORCE
distclean: debug-distclean release-distclean FORCE
	-$(DEL_FILE) Makefile

debug-mocclean: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocclean
release-mocclean: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocclean
mocclean: debug-mocclean release-mocclean

debug-mocables: $(MAKEFILE).Debug
	$(MAKE) -f $(MAKEFILE).Debug mocables
release-mocables: $(MAKEFILE).Release
	$(MAKE) -f $(MAKEFILE).Release mocables
mocables: debug-mocables release-mocables
FORCE:

$(MAKEFILE).Debug: Makefile
$(MAKEFILE).Release: Makefile

=== debian/changelog ===
tpsession (0.1-2) unstable; urgency=low

  * Some bug fixes in sync constructor, getAccoint now accepts also uniqueIdentifier, PR1.2 compatible

 -- Kate Alhola <kate.alhola@nokia.com>  Thu,  25 Mar 2010 11:20:48 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Kate Alhola <kate.alhola@nokia.com>
 Build-Depends: cdbs, cdbs, debhelper (>= 5)
 Build-Depends: cdbs,
-               libqt4-maemo5-dev (>= 4.5.0),
+               libqt4-dev (>= 4.5.0),
                pkg-config (>= 0.21),
 	       libgconf2-dev ,
 	       libtelepathy-qt4-dev (>=0.2.0)
@@ -20,14 +20,14 @@
 Package: libtpsession-dev
 Architecture: any
 Section: libdevel
-Depends: libtpsession (=0.1-1)
+Depends: libtpsession
 Description: Easy to use API to Telepathy-Qt4 dev files
  Easy to use API to Telepathy-Qt4 dev files
 
 Package: libtpsession-dbg
 Architecture: any
 Section: libdevel
-Depends: tpsession (=0.1)
+Depends: tpsession 
 Description: Easy to use API to Telepathy-Qt4 debug symbols
  Easy to use API to Telepathy-Qt4 debug symbols

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

# Add here any variable or target overrides you need.
#QMAKE=/opt/qt4-maemo5/bin/qmake
#PKG_CONFIG_PATH=/opt/qt4-maemo5/lib/pkgconfig/

## tpsession 0.1-4

=== debian/changelog ===
tpsession (0.1-4) unstable; urgency=low

  * Added proper handling for destroyed channels, TPSESSION_DEBUG environmentvariable to enable debug printouts

 -- Kate Alhola <kate.alhola@nokia.com>  Mon,  2 Jun 2010 16:51:00 +0300

tpsession (0.1-3) unstable; urgency=low

  * Extra debug printouts removed, emits messageUeued signal

 -- Kate Alhola <kate.alhola@nokia.com>  Mon,  10 May 2010 13:20:00 +0300
	

## tpsession 0.1-6%2b0m5

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,6 @@
 # Add here any variable or target overrides you need.
 #QMAKE=/opt/qt4-maemo5/bin/qmake
 #PKG_CONFIG_PATH=/opt/qt4-maemo5/lib/pkgconfig/
+
+common-binary-predeb-arch::
+	./debian/maemo-optify libtpsession

## tpsession 0.1-6+0m5

=== debian/changelog ===
tpsession (0.1-6+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.1-6+0m5

 -- Shane Bradley <shane.bradley@nokia.com>  Fri, 03 Sep 2010 12:36:15 +0300

tpsession (0.1-6) unstable; urgency=low

  * Symlink to opt library wasn't being created with a clean install.

 -- Shane Bradley <shane.bradley@nokia.com>  Fri, 03 Sep 2010 12:00:57 +0300

tpsession (0.1-5) unstable; urgency=low

  * Optify the packages.

 -- Shane Bradley <shane.bradley@nokia.com>  Thu, 26 Aug 2010 16:51:00 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: libs
 Priority: extra
 Maintainer: Kate Alhola <kate.alhola@nokia.com>
-Build-Depends: cdbs, cdbs, debhelper (>= 5)
 Build-Depends: cdbs,
+               debhelper (>= 5),
                libqt4-dev (>= 4.5.0),
                pkg-config (>= 0.21),
 	       libgconf2-dev ,
@@ -27,7 +27,7 @@
 Package: libtpsession-dbg
 Architecture: any
 Section: libdevel
-Depends: tpsession 
+Depends: libtpsession (= ${binary:Version})
 Description: Easy to use API to Telepathy-Qt4 debug symbols
  Easy to use API to Telepathy-Qt4 debug symbols
